<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblAyudaRepository;

final class TblAyudaService
{
    private TblAyudaRepository $TblAyudaRepository;

    public function __construct(TblAyudaRepository $TblAyudaRepository)
    {
        $this->TblAyudaRepository = $TblAyudaRepository;
    }

    public function checkAndGet(int $TblAyudaId): object
    {
        return $this->TblAyudaRepository->checkAndGet($TblAyudaId);
    }

    public function getAll(): array
    {
        return $this->TblAyudaRepository->getAll();
    }

    public function getOne(int $TblAyudaId): object
    {
        return $this->checkAndGet($TblAyudaId);
    }

    public function create(array $input): object
    {
        $TblAyuda = json_decode((string) json_encode($input), false);

        return $this->TblAyudaRepository->create($TblAyuda);
    }

    public function update(array $input, int $TblAyudaId): object
    {
        $TblAyuda = $this->checkAndGet($TblAyudaId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblAyudaRepository->update($TblAyuda, $data);
    }

    public function delete(int $TblAyudaId): void
    {
        $this->checkAndGet($TblAyudaId);
        $this->TblAyudaRepository->delete($TblAyudaId);
    }
}
